Puntuado con 4 de 5 estrellas

It still works on Firefox 3.6.4 with Addon Compatibility disabled. But please, can anybody start updating this addon?

Esta valoración es de una versión anterior del complemento (3.3.1-signed).